using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchnittstelleImporter.XML2006
{
    /// <summary>
    /// 
    /// </summary>
    public class Rohrleitung
    {
        ERohrleitungstyp rohrleitungstyp;
        decimal inspektionslaenge;
        string inspektionsrichtung;
        RGrunddaten grunddaten = null;
        List<RZustand> zustaende = null;
        /// <summary>
        /// 
        /// </summary>
        public ERohrleitungstyp Rohrleitungstyp
        {
            get
            {
                return rohrleitungstyp;
            }
            set
            {
                rohrleitungstyp = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public decimal Inspektionslaenge
        {
            get
            {
                return inspektionslaenge;
            }
            set
            {
                inspektionslaenge = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public string Inspektionsrichtung
        {
            get
            {
                switch (inspektionsrichtung)
                {
                    case "U": return "Gegen Fliessrichtung";
                    case "O": return "In Fliessrichtung";
                    default: return "Fliessrichtungangabe nicht bekannt(" + inspektionsrichtung + ")";
                }

            }
            set
            {
                inspektionsrichtung = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public List<RZustand> Zustaende
        {
            get
            {
                return zustaende;
            }
            set
            {
                zustaende = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public RGrunddaten Grunddaten
        {
            get
            {
                return grunddaten;
            }
            set
            {
                grunddaten = value;
            }
        }
    }
}
